/*
 * LevelButton.h
 *
 *  Created on: 2009-07-11
 *      Author: wasyl
 */

#ifndef LEVELBUTTON_H_
#define LEVELBUTTON_H_

#include "../prep/misc/Vector2D.h"
#include "../prep/res/Sheet.h"
#include "../prep/res/Resources.h"
#include "GuiButton.h"

class LevelButton : public GuiButton
{
private:
	Sheet *mSheet;
	int mNo;

public:
	LevelButton(Rect r, int i);
	void update(double dt);
	void render();
};

#endif /* LEVELBUTTON_H_ */
